//  ,     15  ,       2 

void Motor_Init()     //  
    {
       const long freq=5000; //   
       ANSELH.F0=0;
       ANSELH.F2=0;
       TRISB.F1=0;
       TRISB.F2=0;
       TRISD.F0=0;
       TRISD.F1=0;
       PWM1_Init(freq);
       PWM2_Init(freq);
    }
void Motor_Right_FWD(unsigned char speed)
    {
       PORTD.F0=0;
       PORTD.F1=1;
       Pwm1_Set_Duty(speed);
       Pwm1_Start();
    }
void Motor_Right_BWD(unsigned char speed)
    {
       PORTD.F0=1;
       PORTD.F1=0;
       Pwm1_Set_Duty(speed);
       Pwm1_Start();
    }
void Motor_Left_FWD(unsigned char speed)
    {
       PORTB.F1=0;
       PORTB.F2=1;
       Pwm2_Set_Duty(speed);
       Pwm2_Start();
    }
void Motor_Left_BWD(unsigned char speed)
    {
       PORTB.F1=1;
       PORTB.F2=0;
       Pwm2_Set_Duty(speed);
       Pwm2_Start();
    }
void Motor_Right_Stop()
    {
        Pwm1_Stop();
        PORTD.F0=0;
        PORTD.F1=0;
    }
void Motor_Left_Stop()
    {
        Pwm2_Stop();
        PORTB.F1=0;
        PORTB.F2=0;
    }
void Motors_Stop()
    {
        Motor_Right_Stop();
        Motor_Left_Stop();
    }
